Bug 1007804 - [deploy][origin_runtime_215] Jenkins build will fail at the second time
[deploy][origin_runtime_215] Jenkins build will fail at the second time
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 07:02 EDT by Qiushui Zhang
Modified: 2015-05-14 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:28:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-09-13 07:02:01 EDT
Description of problem:
Jenkins build will fail from the second time. It only can pass for the first time.

Version-Release number of selected component (if applicable):
fork_ami_deploy_813

How reproducible:
always

Steps to Reproduce:
1. Launch an instance of fork_ami_deploy_813
2. Create an app with jenkins
e.g. rhc app create ews2 jbossews-2.0 --enable-jenkins
3. Add force_clean_build marker. Make some changes in local repo
4. Git push the changes.
5. Make some changes in the local repo again.
6. Git push the changes again.

Actual results:
Jenkins build will fail

Expected results:
Jenkins build is successful.

Additional info:
Failure output:
Writing objects: 100% (2/2), 237 bytes | 0 bytes/s, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-qiuzhang.dev.rhcloud.com/job/ews1-build
remote: 
remote: Waiting for build to schedule....Done
remote: Waiting for job to complete......Done
remote: FAILED
remote: !!!!!!!!
remote: Deployment Halted!
remote: If the build failed before the deploy step, your previous
remote: build is still running.  Otherwise, your application may be
remote: partially deployed or inaccessible.
remote: Fix the build and try again.
remote: !!!!!!!!
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control post-receive' for /var/lib/openshift/5232ed46a9f946e693000070/jenkins-client
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://5232ed46a9f946e693000070@ews1-qiuzhang.dev.rhcloud.com/~/git/ews1.git/
   b24d8e9..a4cf37c  master -> master
Comment 3 Qiushui Zhang 2013-09-29 22:56:36 EDT
I've checked with most cartridge. The jenkins build may fail at the first.
Comment 4 Qiushui Zhang 2013-10-11 06:06:03 EDT
Tested on devenv_3886.

Jenkins build can finish successfully.

Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.